package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 *
 * @author bmmx
 * @since 2024-02-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("repair")
@ApiModel(value="Repair对象", description="")
public class Repair implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "诊断报告ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "主标题，如：诊断报告")
    private String mainTitle;

    @ApiModelProperty(value = "小标题，如车辆信息")
    private String carInfoTitle;

    @ApiModelProperty(value = "里程")
    private String mileage;

    @ApiModelProperty(value = "SN号")
    private String sn;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "诊断路径")
    private String diagnosticPath;

    @ApiModelProperty(value = "关联的ElectronicControlDetails ID")
    private Integer electronicControlId;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "用户id")
    private Integer userId;


}
